pub mod extract;
pub mod metadata;

pub use metadata::{FormatDuration, Metadata, MetadataError};

pub use extract::*;

#[macro_export]
macro_rules! extract {
    ("tag", $fp:expr) => {
        extract_tag($fp)
    };
    ("title", $tag:expr) => {
        extract_title($tag)
    };
    ("artist", $tag:expr) => {
        extract_artist($tag)
    };
    ("album", $tag:expr) => {
        extract_ablum($tag)
    };
    ("time_stamp", $tag:expr) => {
        extract_time_stamp($tag)
    };
    ("genre", $tag:expr) => {
        extract_genre($tag)
    };
    ("cover", $tag:expr) => {
        extract_cover($tag)
    };
    ("sample_rate", $file:expr) => {
        extract_sample_rate($file)
    };
    ("channels", $file:expr) => {
        extract_channels($file)
    };
    ("bitrate", $file:expr) => {
        extract_bitrate($file)
    };
    ("duration", $file:expr) => {
        extract_duration($file)
    };
}
